Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Class SignerInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.pkcs.SignerInfo

All Implemented Interfaces:
  DEREncodable

public class SignerInfo
extends java.lang.Object
implements DEREncodable

a PKCS#7 signer info object.

Constructor Summary
`SignerInfo(ASN1Sequence seq)`
`SignerInfo(DERInteger version, IssuerAndSerialNumber issuerAndSerialNumber, AlgorithmIdentifier digAlgorithm, ASN1Set authenticatedAttributes, AlgorithmIdentifier digEncryptionAlgorithm, ASN1OctetString encryptedDigest, ASN1Set unauthenticatedAttributes)`

Method Summary
`ASN1Set` | `getAuthenticatedAttributes()`
`DERObject` | `getDERObject()` SignerInfo ::= SEQUENCE { version Version, issuerAndSerialNumber IssuerAndSerialNumber, digestAlgorithm DigestAlgorithmIdentifier, authenticatedAttributes [0] IMPLICIT Attributes OPTIONAL, digestEncryptionAlgorithm DigestEncryptionAlgorithmIdentifier, encryptedDigest EncryptedDigest, unauthenticatedAttributes [1] IMPLICIT Attributes OPTIONAL } EncryptedDigest ::= OCTET STRING DigestAlgorithmIdentifier ::= AlgorithmIdentifier DigestEncryptionAlgorithmIdentifier ::= AlgorithmIdentifier
`AlgorithmIdentifier` | `getDigestAlgorithm()`
`AlgorithmIdentifier` | `getDigestEncryptionAlgorithm()`
`ASN1OctetString` | `getEncryptedDigest()`
`static SignerInfo` | `getInstance(java.lang.Object o)`
`IssuerAndSerialNumber` | `getIssuerAndSerialNumber()`
`ASN1Set` | `getUnauthenticatedAttributes()`
`DERInteger` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignerInfo

    public SignerInfo(DERInteger version,
                      IssuerAndSerialNumber issuerAndSerialNumber,
                      AlgorithmIdentifier digAlgorithm,
                      ASN1Set authenticatedAttributes,
                      AlgorithmIdentifier digEncryptionAlgorithm,
                      ASN1OctetString encryptedDigest,
                      ASN1Set unauthenticatedAttributes)

### SignerInfo

    public SignerInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static SignerInfo getInstance(java.lang.Object o)

### getVersion

    public DERInteger getVersion()

### getIssuerAndSerialNumber

    public IssuerAndSerialNumber getIssuerAndSerialNumber()

### getAuthenticatedAttributes

    public ASN1Set getAuthenticatedAttributes()

### getDigestAlgorithm

    public AlgorithmIdentifier getDigestAlgorithm()

### getEncryptedDigest

    public ASN1OctetString getEncryptedDigest()

### getDigestEncryptionAlgorithm

    public AlgorithmIdentifier getDigestEncryptionAlgorithm()

### getUnauthenticatedAttributes

    public ASN1Set getUnauthenticatedAttributes()

### getDERObject

    public DERObject getDERObject()

        SignerInfo ::= SEQUENCE {
            version Version,
            issuerAndSerialNumber IssuerAndSerialNumber,
            digestAlgorithm DigestAlgorithmIdentifier,
            authenticatedAttributes [0] IMPLICIT Attributes OPTIONAL,
            digestEncryptionAlgorithm DigestEncryptionAlgorithmIdentifier,
            encryptedDigest EncryptedDigest,
            unauthenticatedAttributes [1] IMPLICIT Attributes OPTIONAL
        }

        EncryptedDigest ::= OCTET STRING

        DigestAlgorithmIdentifier ::= AlgorithmIdentifier

        DigestEncryptionAlgorithmIdentifier ::= AlgorithmIdentifier

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD